Classes | Enumerations
libmwaw_applepict1 Namespace Reference

Internal and low level: generic tools about Mac Pict1.0 picture. More...

## Classes
struct | Bitmap
| Internal and low level: a class used to read pack/unpack black-white bitmap. More...
struct | OpCode
| Internal and low level: a class to define each opcode and their arguments and read their data. More...
class | PictParser
| internal and low level: map opcode id -> OpCode More...
class | Region
| Internal and low level: class used to read/store a picture region. More...
struct | Value
| Internal and low level: a class used to read and store all possible value. More...

## Enumerations
enum | DataType { WP_NONE, WP_BYTE, WP_UBYTE, WP_INT, WP_UINT, WP_UFIXED, WP_COLOR, WP_PATTERN, WP_POINT, WP_POINTBYTE, WP_POINTUBYTE, WP_POLY, WP_RECT, WP_REGION, WP_TEXT, WP_LTEXT, WP_BITMAP, WP_RBITMAP, WP_PBITMAP, WP_RPBITMAP, WP_UNKNOWN }
| Internal and low level: the different types of arguments. More...

## Detailed Description

Internal and low level: generic tools about Mac Pict1.0 picture.

This regroups some functions to parse them and to convert them in Pict2.0 picture

## Enumeration Type Documentation

## ◆ DataType

enum libmwaw_applepict1::DataType

Internal and low level: the different types of arguments.

By default, data are signed, excepted if we add U to indicate that they are unsigned,

- WP_PATTERN: 8x8bits which defined a 8x8 picture (black or white)
- WP_COLOR: 3 bits which defined r,g,b (checkme)
- for BITMAP, R indicates Region bitmap while P indicates Packed bitmap

Enumerator
WP_NONE |
WP_BYTE |
WP_UBYTE |
WP_INT |
WP_UINT |
WP_UFIXED |
WP_COLOR |
WP_PATTERN |
WP_POINT |
WP_POINTBYTE |
WP_POINTUBYTE |
WP_POLY |
WP_RECT |
WP_REGION |
WP_TEXT |
WP_LTEXT |
WP_BITMAP |
WP_RBITMAP |
WP_PBITMAP |
WP_RPBITMAP |
WP_UNKNOWN |